import { defineComponent } from 'vue';
import styles from './index.module.less';
import { NAvatar, NButton, NInput, NSpace } from 'naive-ui';
import commentBg from '../images/common-bg.png';
import commentTop from '../images/common-top.png';
import iconClose from '../images/icon-close-line.png';
import defultHeade from '@/components/layout/images/teacherIcon.png';

export default defineComponent({
  name: 'commit-work',
  emits: ['close'],
  setup(props, { emit }) {
    return () => (
      <div class={styles.commonWork}>
        <img src={commentTop} class={styles.dingPng} alt="" />
        <img src={commentBg} class={styles.downMoveBg} alt="" />
        <img
          src={iconClose}
          class={styles.closeAble}
          onClick={() => {
            emit('close');
          }}
          alt=""
        />
        <h2>点评作业</h2>

        <div class={styles.header}>
          <NAvatar class={styles.navatar} round src={defultHeade} />
          <div class={styles.userInfo}>
            <h3>胡小小</h3>
            <p>提交时间：2024-01-23</p>
          </div>
        </div>

        <NInput
          class={styles.textarea}
          type="textarea"
          rows={10}
          maxlength={500}
          showCount
          autosize={false}
          placeholder="请输入评语…"
        />

        <NSpace style={{ padding: '25px 0 0 0' }} justify="center">
          <NButton round type="default" onClick={() => emit('close')}>
            取消
          </NButton>
          <NButton class={styles.submitAppBtn} round type="primary">
            确定
          </NButton>
        </NSpace>
      </div>
    );
  }
});
